# React Component - CircularStatusIndicator

## Description:

A react component to display coloured circular percentage bar.

## Usage:

A minimal usage will just display coloured circular percentage bar.

```
let percentage = 75
<CircularStatusIndicator>{percentage}</CircularStatusIndicator>;
```
The color of the bar by default would be based on the range of the percentage, so:

| Range         | Default
| ------------- |----------
| 0-25          | red
| 26-50         | yellow
| 51-75         | blue
| 76-100        | green

This might have a default height/width of 100px

But User can override:

```
let percentage = 75
<CircularStatusIndicator radius={50}>{percentage}</CircularStatusIndicator>;
```

Other options can be passed in as `inverted` like so:

```
let percentage = 75
<CircularStatusIndicator inverted={true}>{percentage}</CircularStatusIndicator>;
```
In this case, the colors would be reversed;

| Range         | Default
| ------------- |----------
| 0-25          | green
| 26-50         | blue
| 51-75         | yellow
| 76-100        | red

final possibility is where the colour of the bar is passed in as a prop:

```
<CircularStatusIndicator colour={'#FFC000'}>75</CircularStatusIndicator>
```

The only additional prop needed would be a text label, 50% font size of the percentage, placed above it and centered of course

```
<CircularStatusIndicator radius='{200}' textLabel={'Hello!'}>75</CircularStatusIndicator>
```


